# ApplicationFramework
TKPShape
PColgp

# PColgp_SeqNodeOfHSequenceOfVec Class Reference

`#include <PColgp_SeqNodeOfHSequenceOfVec.hxx>`

Inheritance diagram for PColgp_SeqNodeOfHSequenceOfVec:

[legend]

## Public Member Functions

Standard_EXPORT | PColgp_SeqNodeOfHSequenceOfVec (const Handle(PColgp_SeqNodeOfHSequenceOfVec)&TheLast, const gp_Vec &TheItem)
Standard_EXPORT | PColgp_SeqNodeOfHSequenceOfVec (const gp_Vec &TheItem, const Handle(PColgp_SeqNodeOfHSequenceOfVec)&TheFirst)
Standard_EXPORT | PColgp_SeqNodeOfHSequenceOfVec (const Handle(PColgp_SeqNodeOfHSequenceOfVec)&ThePrevious, const Handle(PColgp_SeqNodeOfHSequenceOfVec)&TheNext, const gp_Vec &TheItem)
Standard_EXPORT gp_Vec | Value () const
Standard_EXPORT Handle_PColgp_SeqNodeOfHSequenceOfVec | Next () const
Standard_EXPORT Handle_PColgp_SeqNodeOfHSequenceOfVec | Previous () const
Standard_EXPORT void | SetValue (const gp_Vec &AnItem)
Standard_EXPORT void | SetNext (const Handle(PColgp_SeqNodeOfHSequenceOfVec)&ANode)
Standard_EXPORT void | SetPrevious (const Handle(PColgp_SeqNodeOfHSequenceOfVec)&ANode)
| PColgp_SeqNodeOfHSequenceOfVec ()
| PColgp_SeqNodeOfHSequenceOfVec (const Storage_stCONSTclCOM &a)
| Handle (PColgp_SeqNodeOfHSequenceOfVec) _CSFDB_GetPColgp_SeqNodeOfHSequenceOfVecMyPrevious() const
void | _CSFDB_SetPColgp_SeqNodeOfHSequenceOfVecMyPrevious (const Handle(PColgp_SeqNodeOfHSequenceOfVec)&p)
const gp_Vec & | _CSFDB_GetPColgp_SeqNodeOfHSequenceOfVecMyItem () const
| Handle (PColgp_SeqNodeOfHSequenceOfVec) _CSFDB_GetPColgp_SeqNodeOfHSequenceOfVecMyNext() const
void | _CSFDB_SetPColgp_SeqNodeOfHSequenceOfVecMyNext (const Handle(PColgp_SeqNodeOfHSequenceOfVec)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PColgp_SeqNodeOfHSequenceOfVec | MyPrevious
gp_Vec | MyItem
Handle_PColgp_SeqNodeOfHSequenceOfVec | MyNext

## Constructor & Destructor Documentation

Standard_EXPORT PColgp_SeqNodeOfHSequenceOfVec::PColgp_SeqNodeOfHSequenceOfVec | ( | const Handle(PColgp_SeqNodeOfHSequenceOfVec)& | TheLast,
|  | const gp_Vec & | TheItem
| ) |

Standard_EXPORT PColgp_SeqNodeOfHSequenceOfVec::PColgp_SeqNodeOfHSequenceOfVec | ( | const gp_Vec & | TheItem,
|  | const Handle(PColgp_SeqNodeOfHSequenceOfVec)& | TheFirst
| ) |

Standard_EXPORT PColgp_SeqNodeOfHSequenceOfVec::PColgp_SeqNodeOfHSequenceOfVec | ( | const Handle(PColgp_SeqNodeOfHSequenceOfVec)& | ThePrevious,
|  | const Handle(PColgp_SeqNodeOfHSequenceOfVec)& | TheNext,
|  | const gp_Vec & | TheItem
| ) |

PColgp_SeqNodeOfHSequenceOfVec::PColgp_SeqNodeOfHSequenceOfVec | ( |  | ) | `[inline]`

PColgp_SeqNodeOfHSequenceOfVec::PColgp_SeqNodeOfHSequenceOfVec | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const gp_Vec& PColgp_SeqNodeOfHSequenceOfVec::_CSFDB_GetPColgp_SeqNodeOfHSequenceOfVecMyItem | ( |  | ) | const`[inline]`

void PColgp_SeqNodeOfHSequenceOfVec::_CSFDB_SetPColgp_SeqNodeOfHSequenceOfVecMyNext | ( | const Handle(PColgp_SeqNodeOfHSequenceOfVec)& | p | ) | `[inline]`

void PColgp_SeqNodeOfHSequenceOfVec::_CSFDB_SetPColgp_SeqNodeOfHSequenceOfVecMyPrevious | ( | const Handle(PColgp_SeqNodeOfHSequenceOfVec)& | p | ) | `[inline]`

Standard_EXPORT const PColgp_SeqNodeOfHSequenceOfVec::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PMMgt_PManaged.

PColgp_SeqNodeOfHSequenceOfVec::Handle | ( | PColgp_SeqNodeOfHSequenceOfVec |  | ) | const`[inline]`

PColgp_SeqNodeOfHSequenceOfVec::Handle | ( | PColgp_SeqNodeOfHSequenceOfVec |  | ) | const`[inline]`

Standard_EXPORT Handle_PColgp_SeqNodeOfHSequenceOfVec PColgp_SeqNodeOfHSequenceOfVec::Next | ( |  | ) | const

Standard_EXPORT Handle_PColgp_SeqNodeOfHSequenceOfVec PColgp_SeqNodeOfHSequenceOfVec::Previous | ( |  | ) | const

Standard_EXPORT void PColgp_SeqNodeOfHSequenceOfVec::SetNext | ( | const Handle(PColgp_SeqNodeOfHSequenceOfVec)& | ANode | ) |

Standard_EXPORT void PColgp_SeqNodeOfHSequenceOfVec::SetPrevious | ( | const Handle(PColgp_SeqNodeOfHSequenceOfVec)& | ANode | ) |

Standard_EXPORT void PColgp_SeqNodeOfHSequenceOfVec::SetValue | ( | const gp_Vec & | AnItem | ) |

Standard_EXPORT gp_Vec PColgp_SeqNodeOfHSequenceOfVec::Value | ( |  | ) | const

## Field Documentation

gp_Vec PColgp_SeqNodeOfHSequenceOfVec::MyItem `[private]`

Handle_PColgp_SeqNodeOfHSequenceOfVec PColgp_SeqNodeOfHSequenceOfVec::MyNext `[private]`

Handle_PColgp_SeqNodeOfHSequenceOfVec PColgp_SeqNodeOfHSequenceOfVec::MyPrevious `[private]`

The documentation for this class was generated from the following file:

- PColgp_SeqNodeOfHSequenceOfVec.hxx